<template>
  <div>
    <el-form ref="searchForm" :model="searchForm" inline>
      <el-form-item label="报名点名称" prop="officeName">
        <el-input v-model="searchForm.officeName" placeholder="请输入报名点名称" clearable />
      </el-form-item>
      <el-form-item label-width="0">
        <el-button type="primary" icon="el-icon-search" @click="$emit('search')">搜索</el-button>
        <el-button icon="el-icon-refresh" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>
<script>
import DMRadio from '@/components/DMRadio';
export default {
  components: {
    DMRadio
  },
  data() {
    return {
      searchForm: {},
      dateRange: []
    }

  },
  created() {
  },
  methods: {
    resetQuery() {
      this.searchForm = {
        officeName: undefined
      };
      this.dateRange = []
    },
    pickDateChange() {
      this.addDateRange(this.searchForm, this.dateRange)
    }
  },
}
</script>

